Update connector file
curl --request PUT \
--url https://api.getmembrane.com/connectors/{idOrKey}/files/{path} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: text/plain' \
--data '<string>'import requests
url = "https://api.getmembrane.com/connectors/{idOrKey}/files/{path}"
payload = "<string>"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "text/plain"
}
response = requests.put(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'text/plain'},
body: '<string>'
};
fetch('https://api.getmembrane.com/connectors/{idOrKey}/files/{path}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"path": "<string>"
}Connectors
Update connector file
PUT
/
connectors
/
{idOrKey}
/
files
/
{path}
Update connector file
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
text/plain
File contents
The body is of type file.
Response
200 - application/json
File updated successfully, returns corrected path
The actual file path where the file was saved
⌘I